#include <RH_ASK.h>
#include <SPI.h> // Not actualy used but needed to compile

RH_ASK driver;
const int ledPin =  10;      // the number of the LED pin
bool ledStatus = 0;

void setup()
{
    pinMode(ledPin, OUTPUT);
    Serial.begin(9600); // Debugging only
    if (!driver.init())
         Serial.println("init failed");
}

void loop()
{
    uint8_t buf[10];
    uint8_t buflen = sizeof(buf);
    if (driver.recv(buf, &buflen)) // Non-blocking
    {
      int i;
      String cleanInput = String((char*)buf).substring(0,10);

      if( cleanInput == "toggle_led"){
        if(ledStatus == 0){
          //turn on led
          digitalWrite(ledPin, HIGH);
          ledStatus = 1;
          }
        else{
          //turn on led
          digitalWrite(ledPin, LOW); 
          ledStatus = 0;
          }
        }         
    } 
    
}

